> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Encrypt To Ddsconfig

> Encrypts a target deposit destination object for use in Link.

The object includes:

* Bank account identifying information.
* How much of the user's paycheck should be allocated to the bank account.

The response returns an `encrypted_config` whose value can be used with the [`ddsConfig`](https://docs.argyle.com/link/initialization-dds-included#optional-initialization-parameters) Link initialization parameter. When a `ddsConfig` is present in a Link initialization, the user will be presented with a deposit switch flow after they initially connect an account, or when they return to a previously connected account.


## OpenAPI

````yaml post /v2/target-deposit-destinations
openapi: 3.0.0
info:
  title: Target Deposit Destinations API
  version: 1.0.0
  description: >
    Encrypt a target deposit destination to a `ddsConfig` used to initialize a
    deposit switch in Link.


    Target deposit destinations contain the bank account details used in a
    deposit switch. For user privacy and security, sensitive banking information
    must be encrypted before being passed to your Link initialization when
    adding deposit switching flows.
servers: []
security:
  - basicAuth: []
paths:
  /v2/target-deposit-destinations:
    post:
      summary: Encrypt to ddsConfig
      description: >
        Encrypts a target deposit destination object, which includes:

        *  Bank account identifying information.

        *  How much of the user's paycheck should be allocated to the bank
        account.


        Returns an `encrypted_config` whose value can be used with the
        [`ddsConfig`](/link/initialization-dds-included#optional-initialization-parameters)
        Link initialization parameter. When a `ddsConfig` is present in a Link
        initialization, the user will be presented with a deposit switch flow
        after they initially connect an account, or when they return to a
        previously connected account.
      requestBody:
        description: >
          A target deposit destination.


          Use this object for DDS configurations such as directing the entirety
          of the user's paycheck.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TargetDepositDestination'
            example:
              ach_deposit_account:
                bank_name: YellowHorizon
                routing_number: '084101234'
                account_number: '9483746361234'
                account_type: checking
              amount_allocation:
                value: '177'
                min_value: '177'
                max_value: '177'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EncryptedConfigResponse'
              example:
                encrypted_config: >-
                  CiUAzxhtkjHVbbvqqaQCFy3u2lrK3w4rUIVeDUk+TAMTSuRubh9yEqoGAGPMAvpCp4gw5zwCkvkh9voNq7Env6awey2nowAdlInrQg/vXwyHEO/MJEsygELdNyU+RbEaEN86/Y7XMMpMtBObD/lPCaY/md8eO1A6Ij5n9Lh1vYMqzU6IqhNka2j3jvJ/7N2qI4pyYyZJS1Q115Z5NkB6wc6xAgkJozD11VwL9D+7cDzPKPKZFg/xE4Rz/psSyCzbO6EVv2NFIXY5FvtqYwKBetTxLYNigdO25WWaDLYM5gOnjhBsKD+BU2XalWnvKcTb3yesW3e4iDcp8zTjiSrpcLL5IhrdFFFHt5LOPwlRjJ1RTv6mhZudhgY2DZMAr2ajP/L3gPMMG5wmhcybC7BJiG7D7j78biZZtUzXgaXRdboMKBvm9MB1ZmWIDqFtfCi2kf6TykJOq6eXiI5dMOsvfg+wk/5qrmrFr/5birijwMUscDZ6XRQO1vy/JMdBlqZHUSySv+meMvobULj+PmNj3o6JaYJzi/DzpUK/kaNI6xIg+Ia92nbAyF+HUEQ+r+n7ZrYIU85W00JaXm0ba3cal7V6IUnCwh2V22oN51GX33UlPAsAjSAWAOJpQHOLXi7DeFr+V/FvnjLHvO/U17Ybsm6gI7tvC4lR6SPhZNXayNiCVAjGzjoy151O9i7+mBCbqWjfTZLOj3p9QMVrkYixJobDJ4B2MZdQB0HG7wDZvKqK2IIVZBEfuVQX94Ltt+Sui8kHqRw5Z03QCC7yLxlFWMkXe1yCdnK3B6wboqTpfJE/4FcnqlWp0pOpQhrBSg6A2D15UFQbQU6vi9Z1zqSP0N8zlR/zyGV9gxZwrqH9eEjNyZZezBCRlMrsfNI2HgwrgzeZW1KIBISEmArMCY4m0q8K644d2L6XPEjwLYLZ+Iy4MejN/SdCjzvX6CWfSdErQPNzXit7Y1exepKsWzmo6X26jlvfcYvtdI9nfP8hyaVouwL3RTWeah0SkGfN5MUxugap7LQc464LPvqb0NBJOT9dJb887/Maw0pXn8iOgS+dHLSUW9TIkOuS9So0F8VB/QHY/Tv31yOmpEbWL9y7Lql/D33QIeRgpjEbJUQJ00XZ2fzY
components:
  schemas:
    TargetDepositDestination:
      type: object
      properties:
        ach_deposit_account:
          type: object
          description: Bank account details
          properties:
            bank_name:
              type: string
              description: Name of the bank
              example: YellowHorizon
            routing_number:
              type: string
              description: Routing number of the bank account
              example: '084101234'
            account_number:
              type: string
              description: Account number of the bank account
              example: '9483746361234'
            account_type:
              type: string
              description: Type of the bank account
              example: checking
        amount_allocation:
          type: object
          description: Amount allocation details
          properties:
            value:
              type: string
              description: Value of the amount allocation
              example: '177'
            min_value:
              type: string
              description: Minimum value of the amount allocation
              example: '177'
            max_value:
              type: string
              description: Maximum value of the amount allocation
              example: '177'
    EncryptedConfigResponse:
      type: object
      properties:
        encrypted_config:
          type: string
          description: The encrypted configuration string.
          example: >-
            CiUAzxhtkjHVbbvqqaQCFy3u2lrK3w4rUIVeDUk+TAMTSuRubh9yEqoGAGPMAvpCp4gw5zwCkvkh9voNq7Env6awey2nowAdlInrQg/vXwyHEO/MJEsygELdNyU+RbEaEN86/Y7XMMpMtBObD/lPCaY/md8eO1A6Ij5n9Lh1vYMqzU6IqhNka2j3jvJ/7N2qI4pyYyZJS1Q115Z5NkB6wc6xAgkJozD11VwL9D+7cDzPKPKZFg/xE4Rz/psSyCzbO6EVv2NFIXY5FvtqYwKBetTxLYNigdO25WWaDLYM5gOnjhBsKD+BU2XalWnvKcTb3yesW3e4iDcp8zTjiSrpcLL5IhrdFFFHt5LOPwlRjJ1RTv6mhZudhgY2DZMAr2ajP/L3gPMMG5wmhcybC7BJiG7D7j78biZZtUzXgaXRdboMKBvm9MB1ZmWIDqFtfCi2kf6TykJOq6eXiI5dMOsvfg+wk/5qrmrFr/5birijwMUscDZ6XRQO1vy/JMdBlqZHUSySv+meMvobULj+PmNj3o6JaYJzi/DzpUK/kaNI6xIg+Ia92nbAyF+HUEQ+r+n7ZrYIU85W00JaXm0ba3cal7V6IUnCwh2V22oN51GX33UlPAsAjSAWAOJpQHOLXi7DeFr+V/FvnjLHvO/U17Ybsm6gI7tvC4lR6SPhZNXayNiCVAjGzjoy151O9i7+mBCbqWjfTZLOj3p9QMVrkYixJobDJ4B2MZdQB0HG7wDZvKqK2IIVZBEfuVQX94Ltt+Sui8kHqRw5Z03QCC7yLxlFWMkXe1yCdnK3B6wboqTpfJE/4FcnqlWp0pOpQhrBSg6A2D15UFQbQU6vi9Z1zqSP0N8zlR/zyGV9gxZwrqH9eEjNyZZezBCRlMrsfNI2HgwrgzeZW1KIBISEmArMCY4m0q8K644d2L6XPEjwLYLZ+Iy4MejN/SdCjzvX6CWfSdErQPNzXit7Y1exepKsWzmo6X26jlvfcYvtdI9nfP8hyaVouwL3RTWeah0SkGfN5MUxugap7LQc464LPvqb0NBJOT9dJb887/Maw0pXn8iOgS+dHLSUW9TIkOuS9So0F8VB/QHY/Tv31yOmpEbWL9y7Lql/D33QIeRgpjEbJUQJ00XZ2fzY
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````